%define major 4
%define libname %mklibname dvdnav %{major}
%define devname %mklibname dvdnav -d

Summary:	DVD Navigation library
Name:		libdvdnav
Version:	5.0.3
Release:	1
License:	GPLv2+
Group:		System/Libraries
Url:		http://www.mplayerhq.hu
Source0:	http://dvdnav.mplayerhq.hu/releases/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(dvdread) >= 5.0.2

%description
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	DVD Navigation library
Group:		System/Libraries

%description -n %{libname}
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

%files -n %{libname}
%doc COPYING README
%{_libdir}/libdvdnav.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	DVD Navigation library headers and support files
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

This package contains the C headers and support files for compiling 
applications with libdvdnav.

%files -n %{devname}
%doc COPYING TODO AUTHORS
%{_libdir}/libdvdnav.so
%{_includedir}/dvdnav/
%{_libdir}/pkgconfig/dvdnav.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%makeinstall_std docdir=%{_docdir}/%{libname}


%changelog
* Thu Feb 26 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.0.3-1
+ Revision: 5dc33b2
- New version 5.0.3, dvdnavmini library is dropped upstream


